using DbContextLib;
using Entities;
using Microsoft.EntityFrameworkCore;
using Shared;

namespace DbDataManager.Service;

public class NotePadDataService : INotePadService<NotepadEntity>
{
    private UserDbContext DbContext { get; }
    public NotePadDataService(UserDbContext context)
    {
        DbContext = context;
        context.Database.EnsureCreated();

    }
    public NotepadEntity GetNotePadById(int id)
    {
        var notePadEntity = DbContext.Notepads.FirstOrDefault(n => n.Id == id);
        if (notePadEntity == null)
        {
            throw new ArgumentException("impossible de trouver le bloc note", nameof(id));
        }
        return notePadEntity;
    }
}